import request from '@/utils/request'

// 查询测一测模板列表
export function listTestTemp(query) {
  return request({
    url: '/his/testTemp/list',
    method: 'get',
    params: query
  })
}

// 查询测一测模板详细
export function getTempType(tempId) {
  return request({
    url: '/his/testTemp/getTempType/' + tempId,
    method: 'get'
  })
}
export function getTestTemp(tempId) {
  return request({
    url: '/his/testTemp/' + tempId,
    method: 'get'
  })
}
export function getAllTestTemp() {
  return request({
    url: '/his/testTemp/allList',
    method: 'get'
  })
}

// 新增测一测模板
export function addTestTemp(data) {
  return request({
    url: '/his/testTemp',
    method: 'post',
    data: data
  })
}

// 修改测一测模板
export function updateTestTemp(data) {
  return request({
    url: '/his/testTemp',
    method: 'put',
    data: data
  })
}

// 删除测一测模板
export function delTestTemp(tempId) {
  return request({
    url: '/his/testTemp/' + tempId,
    method: 'delete'
  })
}

// 导出测一测模板
export function exportTestTemp(query) {
  return request({
    url: '/his/testTemp/export',
    method: 'get',
    params: query
  })
}
